| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::CoreDbSchemaUpdater Class Reference

## Public Member Functions
| CoreDbSchemaUpdater (CoreDB *const albumDB, CoreDbBackend *const backend, const DbEngineParameters &parameters)
const QString | getLastErrorMessage ()
void | setCoreDbAccess (CoreDbAccess *const dbAccess)
void | setObserver (InitializationObserver *const observer)
bool | update ()
bool | updateUniqueHash ()

## Static Public Member Functions
static int | filterSettingsVersion ()
static bool | isUniqueHashUpToDate ()
static int | schemaVersion ()
static int | uniqueHashVersion ()